# The application does not pass

| HTTP method | Endpoint                                               |
| ----------- | ------------------------------------------------------ |
| **PATCH**   | **/v1/offer\_applications/{application\_id}/rejected** |

## Path parameters <a href="#path-parameters-1" id="path-parameters-1"></a>

| Parameter       | Description                        |
| --------------- | ---------------------------------- |
| application\_id | The unique id for the application. |

## Response body parameters <a href="#response-body-parameters-3" id="response-body-parameters-3"></a>

| Field         | Type    | Description                                                                                                                                                 |
| ------------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id            | integer | application\_id                                                                                                                                             |
| offer\_id     | integer | Offer id                                                                                                                                                    |
| affiliate\_id | integer | Affiliate id                                                                                                                                                |
| apply\_time   | string  | Apply time.                                                                                                                                                 |
| accept\_time  | string  | Accept time.                                                                                                                                                |
| status        | string  | The status of the OfferApplication.  There are three kinds of States： 1 pending ;  2 approved ;  3 rejected （*You cannot delete actions in pending status*） |

## Example request <a href="#example-request-3" id="example-request-3"></a>

**Request PATCH** <https://{networkname}.api.offerslook.com/v1/offer_applications/2198/rejected>

**Request PATCH** <http://{networkname}.api.offerslook.com/v1/offer_applications/2198/rejected>

## Example response <a href="#example-response-3" id="example-response-3"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "offer_application": {
          "id": 2198,
          "affiliate_id": 5075,
          "offer_id": 2789,
          "apply_time": 1461918094,
          "accept_time": 1461919027,
          "status": "rejected"
        }
      }
    }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/offerapplications/the_application_does_not_pass.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
